Loading...
Searching...
No Matches
XrdClXRootDResponses.hh File Reference
`#include "XrdCl/XrdClBuffer.hh"`
`#include "XrdCl/XrdClStatus.hh"`
`#include "XrdCl/XrdClURL.hh"`
`#include "XrdCl/XrdClAnyObject.hh"`
`#include "XProtocol/XProtocol.hh"`
`#include <string>`
`#include <vector>`
`#include <list>`
`#include <ctime>`
`#include <tuple>`
`#include <memory>`
`#include <functional>`
`#include <sys/uio.h>`
Include dependency graph for XrdClXRootDResponses.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | XrdCl::ChunkInfo
| Describe a data chunk for vector read. More...
class | XrdCl::DirectoryList
| Directory list. More...
struct | XrdCl::HostInfo
class | XrdCl::DirectoryList::ListEntry
| Directory entry. More...
class | XrdCl::LocationInfo::Location
| Location. More...
class | XrdCl::LocationInfo
| Path location info. More...
class | XrdCl::OpenInfo
| Information returned by file open operation. More...
struct | XrdCl::PageInfo
class | XrdCl::ProtocolInfo
| Protocol response. More...
class | XrdCl::ResponseHandler
| Handle an async response. More...
struct | XrdCl::RetryInfo
class | XrdCl::StatInfo
| Object stat info. More...
class | XrdCl::StatInfoVFS
| VFS stat info. More...
class | XrdCl::VectorReadInfo
| Vector read info. More...
struct | XrdCl::XAttr
| Extended attributes with status. More...
struct | XrdCl::XAttrStatus
| Extended attribute operation status. More...
class | XrdCl::XRootDStatus
| Request status. More...

## Namespaces

namespace | XrdCl

## Typedefs

typedef Buffer | XrdCl::BinaryDataInfo
| Binary buffer.
typedef std::vector< ChunkInfo > | XrdCl::ChunkList
| List of chunks.
typedef std::vector< HostInfo > | XrdCl::HostList
typedef std::tuple< std::string, std::string > | XrdCl::xattr_t
| Extended attribute key - value pair.

## Enumerations

enum | { XrdCl::xattr_name = 0 , XrdCl::xattr_value = 1 }
| Tuple indexes of name and value fields in xattr_t. More...